<?php
/**
 * @file
 * simpletimesheet.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function simpletimesheet_views_default_views() {
  $export = array();

  $view = new view;
  $view->name = 'active_activities';
  $view->description = 'List of active activities the user is a member of';
  $view->tag = 'timesheet';
  $view->base_table = 'node';
  $view->human_name = 'Active Activities';
  $view->core = 7;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'simpletimesheet access';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 0;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 0;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Contextual filter: Content: Members (field_members) */
  $handler->display->display_options['arguments']['field_members_uid']['id'] = 'field_members_uid';
  $handler->display->display_options['arguments']['field_members_uid']['table'] = 'field_data_field_members';
  $handler->display->display_options['arguments']['field_members_uid']['field'] = 'field_members_uid';
  $handler->display->display_options['arguments']['field_members_uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_members_uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['field_members_uid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_members_uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_members_uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_members_uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_members_uid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['field_members_uid']['not'] = 0;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'activity' => 'activity',
  );
  /* Filter criterion: Content: Active (field_active) */
  $handler->display->display_options['filters']['field_active_value']['id'] = 'field_active_value';
  $handler->display->display_options['filters']['field_active_value']['table'] = 'field_data_field_active';
  $handler->display->display_options['filters']['field_active_value']['field'] = 'field_active_value';
  $handler->display->display_options['filters']['field_active_value']['value'] = array(
    1 => '1',
  );

  /* Display: References */
  $handler = $view->new_display('references', 'References', 'references_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'references_style';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $export['active_activities'] = $view;

  $view = new view;
  $view->name = 'timesheet';
  $view->description = 'Detailed time records overview';
  $view->tag = 'timesheet';
  $view->base_table = 'node';
  $view->human_name = 'Timesheet';
  $view->core = 0;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Timesheet';
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'simpletimesheet access';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'calendar_nav';
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = 1;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['label'] = '';
  $handler->display->display_options['fields']['field_activity']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['text'] = '[field_activity]:';
  $handler->display->display_options['fields']['field_activity']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_activity']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_activity']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['field_api_classes'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 0;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Content: Time spent */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['label'] = '';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['text'] = '[name]: [field_time] ';
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  /* Contextual filter: Date: Date (node) */
  $handler->display->display_options['arguments']['date_argument']['id'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['table'] = 'node';
  $handler->display->display_options['arguments']['date_argument']['field'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['default_action'] = 'default';
  $handler->display->display_options['arguments']['date_argument']['exception']['value'] = 'All';
  $handler->display->display_options['arguments']['date_argument']['default_argument_type'] = 'date';
  $handler->display->display_options['arguments']['date_argument']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['date_argument']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['date_argument']['year_range'] = '-3:+3';
  $handler->display->display_options['arguments']['date_argument']['granularity'] = 'month';
  $handler->display->display_options['arguments']['date_argument']['date_fields'] = array(
    'field_data_field_date.field_date_value' => 'field_data_field_date.field_date_value',
  );
  $handler->display->display_options['arguments']['date_argument']['date_method'] = 'OR';
  $handler->display->display_options['arguments']['date_argument']['date_group'] = 'date';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Activity (field_activity) */
  $handler->display->display_options['filters']['field_activity_nid']['id'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['table'] = 'field_data_field_activity';
  $handler->display->display_options['filters']['field_activity_nid']['field'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator_id'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['label'] = 'Activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['identifier'] = 'activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['reduce'] = 0;
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = 0;

  /* Display: Timesheet */
  $handler = $view->new_display('calendar', 'Timesheet', 'calendar_1');
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'calendar_nav';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['label'] = '';
  $handler->display->display_options['fields']['field_activity']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['text'] = '[field_activity]:';
  $handler->display->display_options['fields']['field_activity']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_activity']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_activity']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['field_api_classes'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 0;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Content: Time spent */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['label'] = '';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['text'] = '[name]: [field_time] ';
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  $handler->display->display_options['path'] = 'timesheet/calendar';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'Calendar';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Timesheet';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $handler->display->display_options['calendar_date_link'] = 'time_record';

  /* Display: Calendar block */
  $handler = $view->new_display('calendar_block', 'Calendar block', 'calendar_block_1');
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['style_plugin'] = 'calendar_nav';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['block_description'] = 'Calendar';

  /* Display: Year view */
  $handler = $view->new_display('calendar_period', 'Year view', 'calendar_period_1');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '0';
  $handler->display->display_options['style_options']['theme_style'] = '0';
  $handler->display->display_options['style_options']['max_items'] = '0';
  $handler->display->display_options['style_options']['max_items_behavior'] = 'more';
  $handler->display->display_options['style_options']['groupby_times'] = 'hour';
  $handler->display->display_options['style_options']['groupby_times_custom'] = '';
  $handler->display->display_options['style_options']['groupby_field'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';
  $handler->display->display_options['inherit_exposed_filters'] = TRUE;
  $handler->display->display_options['calendar_type'] = 'year';

  /* Display: Month view */
  $handler = $view->new_display('calendar_period', 'Month view', 'calendar_period_2');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '0';
  $handler->display->display_options['style_options']['theme_style'] = '0';
  $handler->display->display_options['style_options']['max_items'] = '0';
  $handler->display->display_options['style_options']['max_items_behavior'] = 'more';
  $handler->display->display_options['style_options']['groupby_times'] = 'hour';
  $handler->display->display_options['style_options']['groupby_times_custom'] = '';
  $handler->display->display_options['style_options']['groupby_field'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';
  $handler->display->display_options['inherit_exposed_filters'] = TRUE;
  $handler->display->display_options['calendar_type'] = 'month';

  /* Display: Day view */
  $handler = $view->new_display('calendar_period', 'Day view', 'calendar_period_3');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '0';
  $handler->display->display_options['style_options']['theme_style'] = '0';
  $handler->display->display_options['style_options']['max_items'] = '0';
  $handler->display->display_options['style_options']['max_items_behavior'] = 'more';
  $handler->display->display_options['style_options']['groupby_times'] = 'hour';
  $handler->display->display_options['style_options']['groupby_times_custom'] = '';
  $handler->display->display_options['style_options']['groupby_field'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';
  $handler->display->display_options['inherit_exposed_filters'] = TRUE;
  $handler->display->display_options['calendar_type'] = 'day';

  /* Display: Week view */
  $handler = $view->new_display('calendar_period', 'Week view', 'calendar_period_4');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '0';
  $handler->display->display_options['style_options']['theme_style'] = '0';
  $handler->display->display_options['style_options']['max_items'] = '0';
  $handler->display->display_options['style_options']['max_items_behavior'] = 'more';
  $handler->display->display_options['style_options']['groupby_times'] = 'hour';
  $handler->display->display_options['style_options']['groupby_times_custom'] = '';
  $handler->display->display_options['style_options']['groupby_field'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';
  $handler->display->display_options['inherit_exposed_filters'] = TRUE;
  $handler->display->display_options['calendar_type'] = 'week';

  /* Display: Block view */
  $handler = $view->new_display('calendar_period', 'Block view', 'calendar_period_5');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '0';
  $handler->display->display_options['style_options']['theme_style'] = '0';
  $handler->display->display_options['style_options']['max_items'] = '0';
  $handler->display->display_options['style_options']['max_items_behavior'] = 'more';
  $handler->display->display_options['style_options']['groupby_times'] = 'hour';
  $handler->display->display_options['style_options']['groupby_times_custom'] = '';
  $handler->display->display_options['style_options']['groupby_field'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'calendar_1' => 0,
    'default' => 0,
    'calendar_block_1' => 'calendar_block_1',
  );
  $handler->display->display_options['attachment_position'] = 'after';
  $handler->display->display_options['inherit_exposed_filters'] = TRUE;

  /* Display: Data export */
  $handler = $view->new_display('views_data_export', 'Data export', 'views_data_export_1');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_date']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_date']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_date']['field_api_classes'] = 0;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['text'] = '[field_activity]:';
  $handler->display->display_options['fields']['field_activity']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_activity']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['field_api_classes'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 0;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Content: Time spent */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['label'] = 'Hours';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['text'] = '[name]: [field_time] ';
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Date (field_date) */
  $handler->display->display_options['sorts']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['sorts']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['sorts']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['path'] = 'timesheet/csv';
  $handler->display->display_options['displays'] = array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  );
  $handler->display->display_options['use_batch'] = '0';
  $export['timesheet'] = $view;

  $view = new view;
  $view->name = 'timesheet_by';
  $view->description = 'Timesheet view by project or by user';
  $view->tag = 'timesheet';
  $view->base_table = 'node';
  $view->human_name = 'Timesheet by';
  $view->core = 7;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'simpletimesheet access';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_activity' => 'field_activity',
    'field_time' => 'field_time',
    'php' => 'php',
    'field_activity_1' => 'field_activity_1',
    'field_activity_2' => 'field_activity_1',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'field_activity' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_time' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'php' => array(
      'align' => '',
      'separator' => '',
    ),
    'field_activity_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ' | ',
    ),
    'field_activity_2' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'No results available. Try using broader filters.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = 0;
  /* Relationship: Content: Activity (field_activity) */
  $handler->display->display_options['relationships']['field_activity_nid']['id'] = 'field_activity_nid';
  $handler->display->display_options['relationships']['field_activity_nid']['table'] = 'field_data_field_activity';
  $handler->display->display_options['relationships']['field_activity_nid']['field'] = 'field_activity_nid';
  $handler->display->display_options['relationships']['field_activity_nid']['required'] = 0;
  $handler->display->display_options['relationships']['field_activity_nid']['delta'] = '0';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['php']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['php']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['php']['alter']['external'] = 0;
  $handler->display->display_options['fields']['php']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['php']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['php']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['php']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['php']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['php']['alter']['html'] = 0;
  $handler->display->display_options['fields']['php']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['php']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['php']['hide_empty'] = 0;
  $handler->display->display_options['fields']['php']['empty_zero'] = 0;
  $handler->display->display_options['fields']['php']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 1;
  $handler->display->display_options['fields']['php']['php_setup'] = '$static = drupal_http_build_query($view->get_exposed_input());';
  $handler->display->display_options['fields']['php']['php_value'] = 'if (strlen($static)) { $static = \'?\' . $static; }
return $static;
';
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
echo $value;
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity_1']['id'] = 'field_activity_1';
  $handler->display->display_options['fields']['field_activity_1']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity_1']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['group_column'] = 'entity id';
  $handler->display->display_options['fields']['field_activity_1']['field_api_classes'] = 0;
  /* Field: SUM(Content: Time spent) */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_time']['label'] = 'Hours (total)';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['group_column'] = 'entity id';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date';
  $handler->display->display_options['filters']['field_date_value']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_select';
  $handler->display->display_options['filters']['field_date_value']['default_date'] = 'now -1 week';
  $handler->display->display_options['filters']['field_date_value']['default_to_date'] = 'now';
  $handler->display->display_options['filters']['field_date_value']['year_range'] = '-3:+3';
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['uid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['required'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['remember'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['multiple'] = FALSE;

  /* Display: Data export by activity */
  $handler = $view->new_display('views_data_export', 'Data export by activity', 'views_data_export_1');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_date']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_date']['field_api_classes'] = 0;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_activity']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['field_api_classes'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 0;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: SUM(Content: Time spent) */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Description';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Activity (field_activity) */
  $handler->display->display_options['arguments']['field_activity_nid']['id'] = 'field_activity_nid';
  $handler->display->display_options['arguments']['field_activity_nid']['table'] = 'field_data_field_activity';
  $handler->display->display_options['arguments']['field_activity_nid']['field'] = 'field_activity_nid';
  $handler->display->display_options['arguments']['field_activity_nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['field_activity_nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_activity_nid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['field_activity_nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_activity_nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_activity_nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_activity_nid']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['field_activity_nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['field_activity_nid']['validate_options']['types'] = array(
    'activity' => 'activity',
  );
  $handler->display->display_options['arguments']['field_activity_nid']['validate_options']['access'] = '1';
  $handler->display->display_options['arguments']['field_activity_nid']['validate']['fail'] = 'empty';
  $handler->display->display_options['arguments']['field_activity_nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['field_activity_nid']['not'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date';
  $handler->display->display_options['filters']['field_date_value']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_select';
  $handler->display->display_options['filters']['field_date_value']['default_date'] = 'now -1 week';
  $handler->display->display_options['filters']['field_date_value']['default_to_date'] = 'now';
  $handler->display->display_options['filters']['field_date_value']['year_range'] = '-3:+3';
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = 0;
  $handler->display->display_options['path'] = 'timesheet/activity_details/%/csv';
  $handler->display->display_options['displays'] = array(
    'default' => 0,
    'page_2' => 0,
    'page_3' => 0,
    'page_4' => 0,
    'block_1' => 0,
    'page_1' => 0,
  );
  $handler->display->display_options['use_batch'] = '0';

  /* Display: By user */
  $handler = $view->new_display('page', 'By user', 'page_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Timesheet by user';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'php' => 'php',
    'name' => 'name',
    'field_date' => 'field_date',
    'field_time' => 'field_time',
    'uid' => 'uid',
    'uid_1' => 'uid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'php' => array(
      'align' => '',
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_time' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ' | ',
    ),
    'uid_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'No results available. Try using broader filters.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['php']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['php']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['php']['alter']['external'] = 0;
  $handler->display->display_options['fields']['php']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['php']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['php']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['php']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['php']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['php']['alter']['html'] = 0;
  $handler->display->display_options['fields']['php']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['php']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['php']['hide_empty'] = 0;
  $handler->display->display_options['fields']['php']['empty_zero'] = 0;
  $handler->display->display_options['fields']['php']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 1;
  $handler->display->display_options['fields']['php']['php_setup'] = '$static = drupal_http_build_query($view->get_exposed_input());';
  $handler->display->display_options['fields']['php']['php_value'] = 'if (strlen($static)) { $static = \'?\' . $static; }
return $static;
';
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
echo $value;
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: COUNT(DISTINCT Content: Date) */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['group_type'] = 'count_distinct';
  $handler->display->display_options['fields']['field_date']['label'] = 'Days';
  $handler->display->display_options['fields']['field_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_date']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['separator'] = ', ';
  $handler->display->display_options['fields']['field_date']['format_plural'] = 0;
  /* Field: SUM(Content: Time spent) */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_time']['label'] = 'Hours (total)';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = 'Details';
  $handler->display->display_options['fields']['uid']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['uid']['alter']['text'] = 'view';
  $handler->display->display_options['fields']['uid']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['uid']['alter']['path'] = 'timesheet/user_details/[uid][php]';
  $handler->display->display_options['fields']['uid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['uid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['uid']['alter']['replace_spaces'] = 1;
  $handler->display->display_options['fields']['uid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['uid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['uid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['uid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['uid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['uid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['uid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['uid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['uid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['uid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['uid']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['uid']['link_to_user'] = 0;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid_1']['id'] = 'uid_1';
  $handler->display->display_options['fields']['uid_1']['table'] = 'users';
  $handler->display->display_options['fields']['uid_1']['field'] = 'uid';
  $handler->display->display_options['fields']['uid_1']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid_1']['label'] = '';
  $handler->display->display_options['fields']['uid_1']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['uid_1']['alter']['text'] = 'export';
  $handler->display->display_options['fields']['uid_1']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['uid_1']['alter']['path'] = 'timesheet/user_details/[uid_1]/csv[php]';
  $handler->display->display_options['fields']['uid_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['uid_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['uid_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['uid_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['uid_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['uid_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['uid_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['uid_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['uid_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['uid_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['uid_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['uid_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['uid_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['uid_1']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['uid_1']['link_to_user'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date';
  $handler->display->display_options['filters']['field_date_value']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_select';
  $handler->display->display_options['filters']['field_date_value']['default_date'] = 'now -1 week';
  $handler->display->display_options['filters']['field_date_value']['default_to_date'] = 'now';
  $handler->display->display_options['filters']['field_date_value']['year_range'] = '-3:+3';
  /* Filter criterion: Content: Activity (field_activity) */
  $handler->display->display_options['filters']['field_activity_nid']['id'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['table'] = 'field_data_field_activity';
  $handler->display->display_options['filters']['field_activity_nid']['field'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator_id'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['label'] = 'Activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['identifier'] = 'activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['reduce'] = 0;
  $handler->display->display_options['path'] = 'timesheet/by_user';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'By user';
  $handler->display->display_options['menu']['weight'] = '5';

  /* Display: Data export by user */
  $handler = $view->new_display('views_data_export', 'Data export by user', 'views_data_export_2');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_date']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_date']['field_api_classes'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 0;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_activity']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['field_api_classes'] = 0;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Description';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: SUM(Content: Time spent) */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: User: Uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'users';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['relationship'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['uid']['validate']['type'] = 'user';
  $handler->display->display_options['arguments']['uid']['validate_options']['type'] = 'either';
  $handler->display->display_options['arguments']['uid']['validate_options']['restrict_roles'] = 0;
  $handler->display->display_options['arguments']['uid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['uid']['not'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date';
  $handler->display->display_options['filters']['field_date_value']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_select';
  $handler->display->display_options['filters']['field_date_value']['default_date'] = 'now -1 week';
  $handler->display->display_options['filters']['field_date_value']['default_to_date'] = 'now';
  $handler->display->display_options['filters']['field_date_value']['year_range'] = '-3:+3';
  /* Filter criterion: Content: Activity (field_activity) */
  $handler->display->display_options['filters']['field_activity_nid']['id'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['table'] = 'field_data_field_activity';
  $handler->display->display_options['filters']['field_activity_nid']['field'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator_id'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['label'] = 'Activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['identifier'] = 'activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['reduce'] = 0;
  $handler->display->display_options['path'] = 'timesheet/user_details/%/csv';
  $handler->display->display_options['displays'] = array(
    'default' => 0,
    'page_2' => 0,
    'page_3' => 0,
    'page_4' => 0,
    'block_1' => 0,
    'page_1' => 0,
  );
  $handler->display->display_options['use_batch'] = '0';

  /* Display: Details by user */
  $handler = $view->new_display('page', 'Details by user', 'page_3');
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = 'field_date';
  $handler->display->display_options['style_options']['columns'] = array(
    'php' => 'php',
    'field_date' => 'field_date',
    'field_time' => 'field_time',
    'field_activity' => 'field_activity',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'php' => array(
      'align' => '',
      'separator' => '',
    ),
    'field_date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_time' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_activity' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['php']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['php']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['php']['alter']['external'] = 0;
  $handler->display->display_options['fields']['php']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['php']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['php']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['php']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['php']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['php']['alter']['html'] = 0;
  $handler->display->display_options['fields']['php']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['php']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['php']['hide_empty'] = 0;
  $handler->display->display_options['fields']['php']['empty_zero'] = 0;
  $handler->display->display_options['fields']['php']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 1;
  $handler->display->display_options['fields']['php']['php_setup'] = '$static = drupal_http_build_query($view->get_exposed_input());';
  $handler->display->display_options['fields']['php']['php_value'] = 'if (strlen($static)) { $static = \'?\' . $static; }
return $static;
';
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
echo $value;
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_date']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_date']['group_column'] = 'entity id';
  $handler->display->display_options['fields']['field_date']['field_api_classes'] = 0;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_activity']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_activity']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['group_column'] = 'entity id';
  $handler->display->display_options['fields']['field_activity']['field_api_classes'] = 0;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Description';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: SUM(Content: Time spent) */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_time']['label'] = 'Hours';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: User: Uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'users';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['relationship'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['uid']['title_enable'] = 1;
  $handler->display->display_options['arguments']['uid']['title'] = 'Timesheet details for user %1';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'php';
  $handler->display->display_options['arguments']['uid']['default_argument_options']['code'] = 'global $user;
return $user->uid;';
  $handler->display->display_options['arguments']['uid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['uid']['validate']['type'] = 'user';
  $handler->display->display_options['arguments']['uid']['validate_options']['restrict_roles'] = 0;
  $handler->display->display_options['arguments']['uid']['validate']['fail'] = 'empty';
  $handler->display->display_options['arguments']['uid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['uid']['not'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date';
  $handler->display->display_options['filters']['field_date_value']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_select';
  $handler->display->display_options['filters']['field_date_value']['default_date'] = 'now -1 week';
  $handler->display->display_options['filters']['field_date_value']['default_to_date'] = 'now';
  $handler->display->display_options['filters']['field_date_value']['year_range'] = '-3:+3';
  /* Filter criterion: Content: Activity (field_activity) */
  $handler->display->display_options['filters']['field_activity_nid']['id'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['table'] = 'field_data_field_activity';
  $handler->display->display_options['filters']['field_activity_nid']['field'] = 'field_activity_nid';
  $handler->display->display_options['filters']['field_activity_nid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator_id'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['label'] = 'Activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['operator'] = 'field_activity_nid_op';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['identifier'] = 'activity';
  $handler->display->display_options['filters']['field_activity_nid']['expose']['reduce'] = 0;
  $handler->display->display_options['path'] = 'timesheet/user_details';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'User details';
  $handler->display->display_options['menu']['weight'] = '5';

  /* Display: Details by activity */
  $handler = $view->new_display('page', 'Details by activity', 'page_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Timesheet details by activity';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_date' => 'field_date',
    'name' => 'name',
    'field_time' => 'field_time',
    'php' => 'php',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'field_date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_time' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'php' => array(
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'No results available. Please check an activity has been selected. In case select one from the <a href="/timesheet/by_activity">timesheet by activity</a> page. If an activity has already been selected try using broader filters.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 1;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_date']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_date']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_date']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_date']['settings'] = array(
    'format_type' => 'medium',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_date']['field_api_classes'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 0;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: SUM(Content: Time spent) */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['php']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['php']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['php']['alter']['external'] = 0;
  $handler->display->display_options['fields']['php']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['php']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['php']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['php']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['php']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['php']['alter']['html'] = 0;
  $handler->display->display_options['fields']['php']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['php']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['php']['hide_empty'] = 0;
  $handler->display->display_options['fields']['php']['empty_zero'] = 0;
  $handler->display->display_options['fields']['php']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 1;
  $handler->display->display_options['fields']['php']['php_setup'] = '$static =  drupal_http_build_query($view->get_exposed_input());';
  $handler->display->display_options['fields']['php']['php_value'] = 'if (strlen($static)) { $static = \'?\' . $static; }
return $static;';
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
echo $value;
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_activity_nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['nid']['title_enable'] = 1;
  $handler->display->display_options['arguments']['nid']['title'] = 'Timesheet details for activity %1';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date';
  $handler->display->display_options['filters']['field_date_value']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_select';
  $handler->display->display_options['filters']['field_date_value']['default_date'] = 'now -1 week';
  $handler->display->display_options['filters']['field_date_value']['default_to_date'] = 'now';
  $handler->display->display_options['filters']['field_date_value']['year_range'] = '-3:+3';
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = 0;
  $handler->display->display_options['path'] = 'timesheet/activity_details';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Activity details';
  $handler->display->display_options['menu']['weight'] = '5';

  /* Display: By activity */
  $handler = $view->new_display('page', 'By activity', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Timesheet by activity';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'php' => 'php',
    'field_activity_1' => 'field_activity_1',
    'field_time' => 'field_time',
    'field_activity' => 'field_activity',
    'field_activity_2' => 'field_activity',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'php' => array(
      'align' => '',
      'separator' => '',
    ),
    'field_activity_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_time' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'field_activity' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ' | ',
    ),
    'field_activity_2' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['php']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['php']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['php']['alter']['external'] = 0;
  $handler->display->display_options['fields']['php']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['php']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['php']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['php']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['php']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['php']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['php']['alter']['html'] = 0;
  $handler->display->display_options['fields']['php']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['php']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['php']['hide_empty'] = 0;
  $handler->display->display_options['fields']['php']['empty_zero'] = 0;
  $handler->display->display_options['fields']['php']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 1;
  $handler->display->display_options['fields']['php']['php_setup'] = '$static = drupal_http_build_query($view->get_exposed_input());';
  $handler->display->display_options['fields']['php']['php_value'] = 'if (strlen($static)) { $static = \'?\' . $static; }
return $static;
';
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
echo $value;
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity_1']['id'] = 'field_activity_1';
  $handler->display->display_options['fields']['field_activity_1']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity_1']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_activity_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity_1']['field_api_classes'] = 0;
  /* Field: SUM(Content: Time spent) */
  $handler->display->display_options['fields']['field_time']['id'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['table'] = 'field_data_field_time';
  $handler->display->display_options['fields']['field_time']['field'] = 'field_time';
  $handler->display->display_options['fields']['field_time']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_time']['label'] = 'Hours (total)';
  $handler->display->display_options['fields']['field_time']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_time']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_time']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_time']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_time']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_time']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_time']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_time']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_time']['field_api_classes'] = 0;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity']['id'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity']['label'] = 'Details';
  $handler->display->display_options['fields']['field_activity']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['text'] = 'view';
  $handler->display->display_options['fields']['field_activity']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['path'] = 'timesheet/activity_details/[field_activity-nid][php]';
  $handler->display->display_options['fields']['field_activity']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_activity']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_activity']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity']['group_column'] = 'entity id';
  $handler->display->display_options['fields']['field_activity']['field_api_classes'] = 0;
  /* Field: Content: Activity */
  $handler->display->display_options['fields']['field_activity_2']['id'] = 'field_activity_2';
  $handler->display->display_options['fields']['field_activity_2']['table'] = 'field_data_field_activity';
  $handler->display->display_options['fields']['field_activity_2']['field'] = 'field_activity';
  $handler->display->display_options['fields']['field_activity_2']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['field_activity_2']['alter']['text'] = 'export';
  $handler->display->display_options['fields']['field_activity_2']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['field_activity_2']['alter']['path'] = 'timesheet/activity_details/[field_activity_2-nid]/csv[php]';
  $handler->display->display_options['fields']['field_activity_2']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_activity_2']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_activity_2']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_activity_2']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_activity_2']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['hide_alter_empty'] = 0;
  $handler->display->display_options['fields']['field_activity_2']['group_column'] = 'entity id';
  $handler->display->display_options['fields']['field_activity_2']['field_api_classes'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'time_record' => 'time_record',
  );
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date';
  $handler->display->display_options['filters']['field_date_value']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_select';
  $handler->display->display_options['filters']['field_date_value']['default_date'] = 'now -1 week';
  $handler->display->display_options['filters']['field_date_value']['default_to_date'] = 'now';
  $handler->display->display_options['filters']['field_date_value']['year_range'] = '-3:+3';
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = 0;
  $handler->display->display_options['path'] = 'timesheet/by_activity';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'By activity';
  $handler->display->display_options['menu']['weight'] = '1';
  $export['timesheet_by'] = $view;

  return $export;
}
